#include <stdio.h>
#include <math.h>

int main()
{
    int n, nq, i, j, b[20], sum=0, no=0;
    scanf("%d", &n);
    nq = n;
    j = 0 ;
    while (nq > 1)
    {
        for (i=2;i<=nq;i++)
        {
            if (nq % i == 0)
            {
                b[j] = i;
                nq = nq / i;
                j++;
                break;
            }
        }
    }

    for (i=0;i<j;i++)
    {
        sum += b[i];
    }

    for (i=0;i<j;i++)
    {
        if (sum % b[i] == 0)
        {
            printf("no");
            no++;
            break;
        }
    }
    if (no == 0) printf("yes");
    return 0;
}

